local addtable = (select(2,...))
local notes = {}
addtable.patchnotes = notes
addtable.noteorder = {
	"Added features",
	"Added achievements",
	"Changed achievements",
	"Bug fixes",
	"Internal changes",
}

notes["beta-1"] = {
	{
		["Added features"] = {
			[[Earned achievements are displayed to all FLE users in your guild the same way any other achievement earned by a guild member would be. Additionally, it is possible to send a normal chat message to the guild chat upon earning an achievement. This behaviour is controlled by a toggle in the item list frame. Defaults to off.]],
			[[Upon opening your bank, all its contents are now scanned by FLE and added to the obtained item list if applicable.]],
		},
		["Added achievements"] = {
			[[Raiding for Starters: The Burning Crusade
			Obtain any non-Gladiator epic item of item levels 115, 125, 128, 134, 138, 141, 151, 154, 156, 159 or 164.]],
			[[Raiding Veteran: The Burning Crusade
			Obtain at least one non-Gladiator epic item each of item levels 115, 125, 128, 134, 138, 141, 151, 154, 159 and 164.
			An item of item level 156 can substitute for an item of item level 154.]],
			[[Raiding for Starters: Wrath of the Lich King
			Obtain any non-Gladiator epic item of item levels 200, 213, 219, 226, 232, 239, 245, 251, 264, 277 or 284.]],
			[[Raiding Veteran: Wrath of the Lich King
			Obtain at least one non-Gladiator epic item each of item levels 200, 213, 219, 226, 232, 245, 251, 264, 277 and 284.]],
			[[Cataclysmic Collector
			Obtain at least one new item each while in Mount Hyjal, Vashj'ir, Deepholm, Uldum, Twilight Highlands.]],
		},
		["Bug fixes"] = {
			[[As intended, all items in the character's bags and all items equipped to the character should now be added to the FLE database upon logging in.]],
			[[Linking a FLE achievement into a non-battle.net chat message should no longer prevent the chat message from being sent. Instead, the link is now changed to a text representation of the achievement's name.]],
			[[Fixed an issue that could cause the criteria of the achievement "Been There Done That" to not be displayed properly.
			As this was merely a display issue, all criteria completion data was still correctly saved and thus not influenced.]],
			[[A number of unobtainable items was removed from FLE's item lists.]],
		},
		["Internal changes"] = {
			[[A potential conflict Lua error that could occur if addons attempt to tonumber() FLE achievement IDs before passing them to achievement functions, as tonumber() would return nil in this case, has been fixed.]],
		},
	},
	"beta-2",
}
notes["beta-2"] = {
	{
		["Bug fixes"] = {
			[[A number of unobtainable items was removed from FLE's item lists.]],
			[[A Lua error that occured when a guild member earns an achievement has been fixed.]],
		},
		["Internal changes"] = {
			[[Fixed an issue where the sub-sections of the patch notes were labelled incorrectly when patching multiple times.]],
		},
	},
	"beta-2a",
}
notes["beta-2a"] = {
	{
		["Added features"] = {
			[[A popup dialog has been added that will display whenever an item not in FLE's item database is added. Reporting those items would be very much appreciated!]],
			[[FLE achievements now properly integrate with the Blizzard "Recent Achievements" tracked on the Summary page.]],
		},
		["Added achievements"] = {
			[[Raiding for Starters: Cataclysm
			Obtain any non-Gladiator epic item of item levels 359, 372, 378, 379, 384, 391 or 397.]],
			[[Collecting Crusade
			Obtain at least one new item each while in Hellfire Peninsula, Zangarmarsh, Nagrand, Terokkar Forest, Blade's Edge Mountains, Netherstorm, Shadowmoon Valley.]],
			[[Frostbitten Collector
			Obtain at least one new item each while in Borean Tundra, Howling Fjord, Dragonblight, Grizzly Hills, Zul'Drak, Sholazar Basin, The Storm Peaks, Icecrown, Crystalsong Forest, Wintergrasp.]],
		},
		["Bug fixes"] = {
			[[An issue that would cause Lua errors when attempting to click a link to specific FLE achievements has been corrected.]],
			[[There will no longer be any Lua errors occuring when you select the FirstLootEver category while comparing achievements.]],
		},
		["Internal changes"] = {
			[[FLE has transistioned to a template-based achievement system. This will greatly simplify adding more achievements.]],
		},
	},
	"beta-3",
}
notes["beta-3"] = {
	{
		["Added features"] = {
			[[Comparing achievements with another FLE user will now properly display their achievements.]],
		},
		["Bug fixes"] = {
			[[An issue that would cause the player's own personal recent achievements to be displayed in the guild tab's "recent achievements" list has been corrected.]],
			[[An issue that would cause guild achievements earned to show in the player's personal recent achievements list has been corrected.
			However, achievements already on this list will remain there until "pushed off".]],
		},
		["Internal changes"] = {
			[[FLE now also manages a list of "ignored items". Ignored items are items that are no longer available in game, but could be obtained in the past.
			Items on the "ignored items" list will not cause the "unknown item" pop-up to display when first looted.]],
		},
	},
	"beta-3a",
}
notes["beta-3a"] = {
	{
		["Added features"] = {
			[[FLE now displays all unknown items in a copy-able edit box format whenever the "Details" button on the "Unknown item" popup dialog is pressed.]],
		},
		["Bug fixes"] = {
			[[Your Recent Achievements display should no longer display achievements from all your characters on the realm.]],
			[[FLE achievements by other FLE users should no longer sometimes be incorrectly displayed as "Incomplete" in the Achievement Comparison window.]],
			[[A number of items has been added to the database.]],
		},
	},
	"beta-3b",
}
notes["beta-3b"] = {
	{
		["Added features"] = {
			[[A checkbox that toggles the display of unknown items as WoWhead links on/off has been added to the unknown item list window.]],
			[[When a guild member earns an achievement that your version of FLE does not know, FLE will automatically request information regarding that achievement from the player that earned it to faciliate proper tooltip display.]],
		},
		["Added achievements"] = {
			[[Not Cross-Realm
			Obtain any item of Heirloom quality.]],
			[[Complete Inheritance!
			Obtain every known item of Heirloom quality.]]
		},
		["Changed achievements"] = {
			[[Let's all be friends together
			Now requires "Not Cross-Realm" to complete.]],
			[[Beat The Game
			Now requires "Complete Inheritance!" to complete.]],
		},
		["Bug fixes"] = {
			[[An issue that could cause an Lua error when an previously unknown item is looted has been corrected.]],
			[[A number of items has been added to the database.]],
		},
		["Internal changes"] = {
			[[A hook has been added to GetStatistic(). It will now return 0 on GetStatistic calls where a FLE achievementID is passed to avoid errors with the original GetStatistic API (which will non-silently fail when a non-numeric value is passed).]],
			[[Changed the zone_loot_all template to allow multiple GetRealZone OR tests per criteria (used for the Vashj'ir part of Cataclysmic Collector).]]
		},
	},
	"beta-4",
}