local localfuncs = (select(2,...))
local templates = localfuncs.templates

templates["raid_itemlevel_any"] = function(avID,passVar)
	local checkFunc = function(addon, id)
		local name,_,qual,itemlevel = GetItemInfo(id)
		if (not name:find("Gladiator")) and (qual == 4) and tContains(passVar,itemlevel) then
			return true
		end
	end
	local criteria = {}
	for ind, itemlevel in ipairs(passVar) do
		local func = function(addon)
			for itemID in pairs(addon.savedVar.items) do
				local n,_,q,l = GetItemInfo(itemID)
				if (l == itemlevel) and (q == 4) and not n:find("Gladiator") then
					return "Item level "..itemlevel, 0, true, 1, 1, (UnitName("player")), 0, 0, "1", "FirstLootEver_"..avID.."_"..ind
				end
			end
			return "Item level "..itemlevel, 0, false, 0, 1, nil, 0, 0, "0", "FirstLootEver_"..avID.."_"..ind
		end
		tinsert(criteria,func)
	end
	return checkFunc, criteria
end

templates["raid_itemlevel_all"] = function(avID,passVar)
	local checkFunc = function(addon, id)
		local name,_,_,itemlevel = GetItemInfo(id)
		if tContains(passVar,itemlevel) then
			local hasLevels = {}
			for itemID in pairs(addon.savedVar.items) do
				local name,_,qual,itemlevel = GetItemInfo(id)
				if not name:find("Gladiator") and tContains(passVar,itemlevel) and (qual==4) then
					hasLevels[itemlevel] = true
				end
			end
			local isPass = true
			for _,ilvl in ipairs(passVar) do
				if not hasLevels[ilvl] then
					isPass = false
					break
				end
			end
			if isPass then
				return true
			end
		end
	end
	local criteria = {}
	for ind, itemlevel in ipairs(passVar) do
		local func = function(addon)
			for itemID in pairs(addon.savedVar.items) do
				local n,_,q,l = GetItemInfo(itemID)
				if (l == itemlevel) and (q == 4) and not n:find("Gladiator") then
					return "Item level "..itemlevel, 0, true, 1, 1, (UnitName("player")), 0, 0, "1", "FirstLootEver_"..avID.."_"..ind
				end
			end
			return "Item level "..itemlevel, 0, false, 0, 1, nil, 0, 0, "0", "FirstLootEver_"..avID.."_"..ind
		end
		tinsert(criteria,func)
	end
	return checkFunc, criteria
end

templates["achievement_meta"] = function(id,passVar)
	local checkFunc = function(addon)
		local isElig = true
		for _, avID in ipairs(passVar) do
			if not addon:HasAchievement(avID[1]) then
				isElig = false
				break
			end
		end
		if isElig then
			return true
		end
	end
	local criteria = {}
	for ind, avID in ipairs(passVar) do
		local func = function(addon)
			local has = addon:HasAchievement(avID[1])
			return avID[2], 8, has, (has and 1 or 0), 1, has and (UnitName("player")), 0, "FirstLootEver_"..avID[1], has and "1" or "0", "FirstLootEver_"..id.."_"..ind
		end
		tinsert(criteria,func)
	end
	return checkFunc, criteria
end

templates["zone_loot_all"] = function(id, passVar)
	local checkFunc = function(addon,_,r,w)
		local z = GetRealZoneText()
		for ind,zone in ipairs(passVar) do
			if type(zone) == "string" then
				if zone == z then
					w(ind,true)
					break
				end
			else
				for _, sZone in ipairs(zone[2]) do
					if sZone == z then
						w(ind,true)
						break
					end
				end
			end
		end
		local isElig = true
		for i=1, #passVar do
			if not r(i) then
				isElig = false
				break
			end
		end
		if isElig then
			return true
		end
	end
	local criteria = {}
	for ind, zone in ipairs(passVar) do
		local func = function(addon, r)
			local has = r(ind)
			if type(zone) == "string" then
				return zone, 0, has, (has and 1 or 0), 1, has and (UnitName("player")), 0, 0, has and "1" or "0", "FirstLootEver_"..id.."_"..ind
			else
				return zone[1], 0, has, (has and 1 or 0), 1, has and (UnitName("player")), 0, 0, has and "1" or "0", "FirstLootEver_"..id.."_"..ind
			end
		end
		tinsert(criteria, func)
	end
	return checkFunc, criteria
end